""" urls for the event gallery part of the events app. """
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.EventGallery.as_view(), name='event-gallery'),
    url(r'^(?P<event>[\d]+)/$', views.EventPhotoList.as_view(),
        name='event-photo-list'),
    url(r'^(?P<event>[\d]+)/upload/$', views.EventPhotoUpload.as_view(),
        name='event-photo-upload'),
    url(r'^(?P<event>[\d]+)/(?P<pk>[\d]+)/$', views.EventPhoto.as_view(),
        name='event-photo'),
    url(r'^delete/(?P<pk>[\d]+)/$', views.DeleteEventPhoto.as_view(),
        name='delete-event-photo'),
    url(r'^upload/$', views.EventPhotoUpload.as_view(),
        name='event-photo-upload'),
]
